Subject: Re: [PATCH] powerpc: mtmsrd not defined

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 23 Aug 2010 08:34:54 +1000

On Sun, 2010-08-22 at 18:09 -0400, Sean MacLennan wrote:
> Let's try a patch to get the ball rolling. 
> 
> ldstfp.S does not compile if mtmsrd not defined. But is it only defined
> for BOOK3S_64. This defines mtmsrd to be mtmsr on all but BOOK3S_64.
> This solves the compile problem... but I am not sure how to test it.
> 
> I am also not sure if this is the best place to define it. If the
> mapping of mtmsrd to mtmsr is correct, maybe it should be in asm/reg.h?

I'd rather have a macro somewhere in ppc_asm.h (MTMSR ?) that does the
right thing. We might even already have one...

Cheers,
Ben.

> Signed-off-by: Sean MacLennan <[email-masked]>
> ---
> diff --git a/arch/powerpc/lib/ldstfp.S b/arch/powerpc/lib/ldstfp.S
> index f644863..df8a03b 100644
> --- a/arch/powerpc/lib/ldstfp.S
> +++ b/arch/powerpc/lib/ldstfp.S
> @@ -17,6 +17,10 @@
>  #include <asm/asm-offsets.h>
>  #include <linux/errno.h>
>  
> +#ifndef CONFIG_PPC_BOOK3S_64
> +#define mtmsrd mtmsr
> +#endif
> +
>  #define STKFRM	(PPC_MIN_STKFRM + 16)
>  
>  	.macro	extab	instr,handler
> 
> Cheers,
>    Sean
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev